Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::Support Class Reference

Support information for a value More...

`#include <extensional.hh>`

## Public Attributes

Val | val
| Supported value.
Degree | n_edges
| Number of supporting edges.
Edge * | edges
| Supporting edges in layered graph.

## Detailed Description

template<class View, class Val, class Degree, class StateIdx>
class Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::Support

Support information for a value

Definition at line 84 of file extensional.hh.

## Member Data Documentation

## val

template<class View, class Val, class Degree, class StateIdx>

Val Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::Support::val

Supported value.

Definition at line 86 of file extensional.hh.

## n_edges

template<class View, class Val, class Degree, class StateIdx>

Degree Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::Support::n_edges

Number of supporting edges.

Definition at line 87 of file extensional.hh.

## edges

template<class View, class Val, class Degree, class StateIdx>

Edge* Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::Support::edges

Supporting edges in layered graph.

Definition at line 88 of file extensional.hh.

The documentation for this class was generated from the following file:

- gecode/int/extensional.hh